Skip to content

Set environment inactivity threshold

PUT
/api/v1/environments/inactive-hours/{env}
curl --request PUT \
--url https://example.com/api/v1/environments/inactive-hours/example \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "inactive_hours": 1 }'
env
required
string

Environment name or UUID

Positive whole hours (1 to 2562047)

Media typeapplication/json
object
inactive_hours
required
integer
>= 1 <= 2562047
Examplegenerated
{
"inactive_hours": 1
}

OK

Media typeapplication/json
object
inactive_hours
integer
>= 1 <= 2562047
override_hours
integer
nullable >= 1 <= 2562047
source
string
Allowed values: environment global default
Example
{
"source": "environment"
}

Bad Request

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Unauthorized

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Forbidden

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Not Found

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Internal Server Error

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}